## Tooltips.Tooltip Tooltips.Tooltip |

## Functions

| _init ()
| set_text ()
| set_markup ()

## Object Hierarchy

        Object
        ╰── Tooltips.TooltipBase
            ╰── Tooltips.Tooltip

## Description

This is a tooltip item that displays some text. The tooltip will be displayed such that the top left corner of the label is at the mouse position.

This is not suitable for use in applets, since in the case of applets, we don't want the tooltip at the position of the mouse. Instead, it should appear above/below the panel without overlapping with the applet. Hence the `PanelItemTooltip` class should be used instead.

Note that the tooltip refuses to show if the tooltip text is empty.

## Functions

### _init ()

    _init (Clutter.Actor   item,
           string          initTitle);

#### Parameters

item | the actor owning the tooltip |
initTitle | the string to display initially |

### set_text ()

    set_text (string   text);

Sets the text to display to `text`.

#### Parameters

text | new text to display |

### set_markup ()

    set_markup (string   text);

Sets the text to display to `markup`.

#### Parameters

text | new text to display |